> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get base nodetree

> Get tree nodes for a base



## OpenAPI

````yaml /swagger.json get /base/{baseId}/node/tree
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /base/{baseId}/node/tree:
    get:
      tags:
        - base node
      description: Get tree nodes for a base
      parameters:
        - schema:
            type: string
          required: true
          name: baseId
          in: path
      responses:
        '200':
          description: Nodes
          content:
            application/json:
              schema:
                type: object
                properties:
                  nodes:
                    type: array
                    items:
                      oneOf:
                        - type: object
                          properties:
                            id:
                              type: string
                            parentId:
                              type: string
                              nullable: true
                            resourceId:
                              type: string
                            order:
                              type: number
                            defaultUrl:
                              type: string
                            parent:
                              type: object
                              nullable: true
                              properties:
                                id:
                                  type: string
                              required:
                                - id
                            children:
                              type: array
                              nullable: true
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  order:
                                    type: number
                                required:
                                  - id
                                  - order
                            resourceType:
                              type: string
                              enum:
                                - table
                            resourceMeta:
                              type: object
                              properties:
                                name:
                                  type: string
                                icon:
                                  type: string
                                  nullable: true
                                defaultViewId:
                                  type: string
                                  nullable: true
                              required:
                                - name
                          required:
                            - id
                            - parentId
                            - resourceId
                            - order
                            - resourceType
                            - resourceMeta
                        - type: object
                          properties:
                            id:
                              type: string
                            parentId:
                              type: string
                              nullable: true
                            resourceId:
                              type: string
                            order:
                              type: number
                            defaultUrl:
                              type: string
                            parent:
                              type: object
                              nullable: true
                              properties:
                                id:
                                  type: string
                              required:
                                - id
                            children:
                              type: array
                              nullable: true
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  order:
                                    type: number
                                required:
                                  - id
                                  - order
                            resourceType:
                              type: string
                              enum:
                                - dashboard
                            resourceMeta:
                              type: object
                              properties:
                                name:
                                  type: string
                                icon:
                                  type: string
                                  nullable: true
                              required:
                                - name
                          required:
                            - id
                            - parentId
                            - resourceId
                            - order
                            - resourceType
                            - resourceMeta
                        - type: object
                          properties:
                            id:
                              type: string
                            parentId:
                              type: string
                              nullable: true
                            resourceId:
                              type: string
                            order:
                              type: number
                            defaultUrl:
                              type: string
                            parent:
                              type: object
                              nullable: true
                              properties:
                                id:
                                  type: string
                              required:
                                - id
                            children:
                              type: array
                              nullable: true
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  order:
                                    type: number
                                required:
                                  - id
                                  - order
                            resourceType:
                              type: string
                              enum:
                                - workflow
                            resourceMeta:
                              type: object
                              properties:
                                name:
                                  type: string
                                icon:
                                  type: string
                                  nullable: true
                                isActive:
                                  type: boolean
                                  nullable: true
                              required:
                                - name
                          required:
                            - id
                            - parentId
                            - resourceId
                            - order
                            - resourceType
                            - resourceMeta
                        - type: object
                          properties:
                            id:
                              type: string
                            parentId:
                              type: string
                              nullable: true
                            resourceId:
                              type: string
                            order:
                              type: number
                            defaultUrl:
                              type: string
                            parent:
                              type: object
                              nullable: true
                              properties:
                                id:
                                  type: string
                              required:
                                - id
                            children:
                              type: array
                              nullable: true
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  order:
                                    type: number
                                required:
                                  - id
                                  - order
                            resourceType:
                              type: string
                              enum:
                                - app
                            resourceMeta:
                              type: object
                              properties:
                                name:
                                  type: string
                                icon:
                                  type: string
                                  nullable: true
                                publicUrl:
                                  type: string
                                  nullable: true
                                publishedVersion:
                                  type: number
                                  nullable: true
                              required:
                                - name
                          required:
                            - id
                            - parentId
                            - resourceId
                            - order
                            - resourceType
                            - resourceMeta
                        - type: object
                          properties:
                            id:
                              type: string
                            parentId:
                              type: string
                              nullable: true
                            resourceId:
                              type: string
                            order:
                              type: number
                            defaultUrl:
                              type: string
                            parent:
                              type: object
                              nullable: true
                              properties:
                                id:
                                  type: string
                              required:
                                - id
                            children:
                              type: array
                              nullable: true
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  order:
                                    type: number
                                required:
                                  - id
                                  - order
                            resourceType:
                              type: string
                              enum:
                                - folder
                            resourceMeta:
                              type: object
                              properties:
                                name:
                                  type: string
                                icon:
                                  type: string
                                  nullable: true
                              required:
                                - name
                          required:
                            - id
                            - parentId
                            - resourceId
                            - order
                            - resourceType
                            - resourceMeta
                  maxFolderDepth:
                    type: number
                required:
                  - nodes
                  - maxFolderDepth
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url https://app.teable.ai/api/base/%7BbaseId%7D/node/tree \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url = 'https://app.teable.ai/api/base/%7BbaseId%7D/node/tree';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/base/%7BbaseId%7D/node/tree',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET", "/api/base/%7BbaseId%7D/node/tree",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````